/*
 * $Revision: 1.2 $
 */

#ifndef __LPC22xx
#define __LPC22xx


//XTAL frequency in Hz
#define XTALFREQ  14745600
#define CCLK      XTALFREQ*4

//pclk must always be XTALFREQ/4 when using the ROM monitor.
#define PCLKFREQ (CCLK)

void LPC22xxSystemInit();

void LPC22xxInitVIC();
void LPC22xxInitTimerInterrupt(void(*timer_func)());
void LPC22xxInitExternalInterrupt0(void(*eint0_func)());
void LPC22xxInitExternalInterrupt1(void(*eint1_func)());
void LPC22xxInitExternalInterrupt2(void(*eint2_func)());
void LPC22xxInitUART0Interrupt(void(*uart1rx_func)(unsigned char), void(*uart1tx_func)());

void LPC22xxInitTimer();
void LPC22xxStartTimer();

void LPC22xxInitEINT0();
void LPC22xxInitEINT1();
void LPC22xxInitEINT2();
unsigned char EINT0PinIsLow();
unsigned char EINT1PinIsLow();
unsigned char EINT2PinIsLow();

void LPC22xxInitPIO();
void LPC22xxLedSet(unsigned short led_state);

#include "io_macros.h"

#endif // __LPC22xx
